package com.slibra.business.req;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.HashMap;
import java.util.List;
import java.util.Map;


@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class PredictorRequest {

    @JSONField(name = "bot_id")
    private String botId = "b00001";

    @JSONField(name = "exp_id")
    private String expId = "721";

    @JSONField(name = "norm")
    private String norm;

    @JSONField(name = "session_id")
    private String sessionId;

    @JSONField(name = "extra")
    private Map<String, Object> extra = new HashMap<>();



}
