package com.slibra.business.res;


import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@Builder
@Data
@AllArgsConstructor
@NoArgsConstructor
public class WorkOrderRes {


    //日期
    private String time;

    /** 进水水量Q进 */
    private BigDecimal jsSlq;

    /** 进水化学需氧量COD */
    private BigDecimal jsCod;

    /** 进水总氮TN */
    private BigDecimal jsTn;

    /** 进水总磷TP */
    private BigDecimal jsTp;

    /** 进水氨氮NH₃-N */
    private BigDecimal jsNh3;

    /** 进水悬浮物SS */
    private BigDecimal jsSs;


    /** 出水水量Q出 */
    private BigDecimal csSlqc;

    /** 出水化学需氧量COD */
    private BigDecimal csCod;

    /** 出水总氮TN */
    private BigDecimal csTn;

    /** 出水总磷TP */
    private BigDecimal csTp;

    /** 出水氨氮NH₃-N */
    private BigDecimal csNh3;

    /** 出水悬浮物SS */
    private BigDecimal csSs;

    /** 1#好氧池硝酸盐（内回流）+ 回流进水化验机器人有效值1（硝氮1池回流机器人） */
    private BigDecimal no3Hlj1Jqr;

    /** 2#好氧池硝酸盐（内回流） + 回流进水化验机器人有效值2（硝氮2池回流机器人） */
    private BigDecimal no3Hlj2Jqr;

    /** 1#缺氧氨氮 + 化验机器人氨氮化验有效值1（氨氮1池缺氧机器人） */
    private BigDecimal nh31Jqr;

    /** 2#缺氧氨氮 + 化验机器人氨氮化验有效值2（氨氮2池缺氧机器人） */
    private BigDecimal nh32Jqr;

    /** 1#缺氧出口硝酸盐 + 缺氧出水化验机器人有效值1（硝氮1池缺氧机器人） */
    private BigDecimal no3Qyc1Jqr;

    /** 2#缺氧出-硝酸盐 + 缺氧出水化验机器人有效值2（硝氮2池缺氧机器人） */
    private BigDecimal no3Qyc2Jqr;

    /** 二沉池-正磷酸盐 + 化验机器人正磷化验有效值二沉池（正磷二沉池机器人） */
    private BigDecimal tpRccJqr;





}
