package com.slibra.business.res;


import com.alibaba.fastjson2.annotation.JSONField;
import com.slibra.common.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@Builder
@Data
@AllArgsConstructor
@NoArgsConstructor
public class XinyiDailyFeeSimple {



    /** 化验日期 */
    @Excel(name = "化验日期")
    @JSONField(name = "testDate")
    private String testDate;

    /** 电费 */
    @Excel(name = "电费")
    @JSONField(name = "DF")
    private BigDecimal DF;

    /** 絮凝剂费 */
    @Excel(name = "絮凝剂费")
    @JSONField(name = "XNJF")
    private BigDecimal XNJF;

    /** 除磷费 */
    @Excel(name = "除磷费")
    @JSONField(name = "CLF")
    private BigDecimal CLF;

    /** 碳源费 */
    @Excel(name = "碳源费")
    @JSONField(name = "TYF")
    private BigDecimal TYF;

    /** 消毒剂费 */
    @Excel(name = "消毒剂费")
    @JSONField(name = "XDJF")
    private BigDecimal XDJF;

    /** 其他药剂费 */
    @Excel(name = "其他药剂费")
    @JSONField(name = "QTYJF")
    private BigDecimal QTYJF;

    /** 采暖费 */
    @Excel(name = "采暖费")
    @JSONField(name = "CNF")
    private BigDecimal CNF;

    /** 自来水费 */
    @Excel(name = "自来水费")
    @JSONField(name = "ZLSF")
    private BigDecimal ZLSF;

    /** 直接成本 */
    @Excel(name = "直接成本")
    @JSONField(name = "ZJCB")
    private BigDecimal ZJCB;

    /** 单位成本 */
    @Excel(name = "单位成本")
    @JSONField(name = "DWCB")
    private BigDecimal DWCB;




}
