package com.slibra.business.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.slibra.common.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Builder
@Data
@AllArgsConstructor
@NoArgsConstructor
public class WarningMoreExceed
{
    private static final long serialVersionUID = 1L;

    private boolean breakpoint = false;//是否断点

    private boolean noChange = false;//连续不变

    TXinyiWarningRecord breakPointWarningRecord;//断点告警对象

    TXinyiWarningRecord noChangeWarningRecord;//连续不变告警对象


}

