package com.slibra.business.res;


import com.slibra.business.domain.TXinyiNormConfig;
import com.slibra.business.domain.TXinyiRobot;
import com.slibra.common.core.domain.TXinyiDaily;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.List;

/**
 *
 * 2024年7月20日10:53:45  传数据给大模型，他们处理prompt
 * 日报工单返回的数据
 *
 */
@Builder
@Data
@AllArgsConstructor
@NoArgsConstructor
public class DailyWorkerRes {


    //查询日期及最近14天的日报数据
    List<TXinyiDaily> dailyRecords;

    //查询日期及最近14天的化验室数据
//    List<TXinyiRobot> robotRecords;

    //标准值 管控值
    private TXinyiNormConfig normConfig;



}
